Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.protocol
Class ProtocolReply

    java.lang.Object
      vutbr.checkers.protocol.ProtocolLine
          vutbr.checkers.protocol.ProtocolReply

Direct Known Subclasses:
  ProtocolReplyBadCommand, ProtocolReplyGameAccept, ProtocolReplyGameError, ProtocolReplyGameReject, ProtocolReplyLoginError, ProtocolReplyLoginOk, ProtocolReplyPong, ProtocolReplyRegisterError, ProtocolReplyRegisterOk, ProtocolReplyTurnEndError, ProtocolReplyTurnEndOk, ProtocolReplyTurnError, ProtocolReplyTurnOk, ProtocolReplyUserInGame, ProtocolReplyUserLogin, ProtocolReplyUserLogout, ProtocolReplyUserOutGame

    public abstract class ProtocolReply

extends ProtocolLine

Trida ProtocolReply

Author:
  Ondrej Novy

Constructor Summary
`ProtocolReply()`

Method Summary
`protected java.lang.String` | `getType()` Vrati typ prikazu REP

Methods inherited from class vutbr.checkers.protocol.ProtocolLine
`build, getCommand, getParam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtocolReply

    public ProtocolReply()

Method Detail

### getType

    protected final java.lang.String getType()

  Vrati typ prikazu REP

  Specified by:
    `getType` in class `ProtocolLine`
  Returns:
    Typ prikazu REP

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD